#
# spec file for package perl-Crypt-PasswdMD5
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Crypt-PasswdMD5
Name:           perl-Crypt-PasswdMD5
Version:        1.42
Release:        1.10
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Provide interoperable MD5-based crypt() functions
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RS/RSAVAGE/%{cpan_name}-%{version}.tgz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Digest::MD5) >= 2.53
BuildRequires:  perl(Test::More) >= 1.001002
Requires:       perl(Digest::MD5) >= 2.53
%{perl_requires}

%description
'apache_md5_crypt()' provides a function compatible with Apache's
'.htpasswd' files. This was contributed by Bryan Hart <bryan@eai.com>. This
function is exported by default.

The 'unix_md5_crypt()' provides a crypt()-compatible interface to the
rather new MD5-based crypt() function found in modern operating systems.
It's based on the implementation found on FreeBSD 2.2.[56]-RELEASE. This
function is also exported by default.

For both functions, if a salt value is not supplied, a random salt will be
generated, using the function random_md5_salt(). This function is not
exported by default.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Thu Jul 14 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.42
  see /usr/share/doc/packages/perl-Crypt-PasswdMD5/Changelog.ini
  [V 1.42]
  Date=2022-07-13T16:20:00
  Comments= <<EOT
  - Accept pull request from Dmitry Karasik, to handle the case where the password
  has the utf8 bit set. With thanx.
  - Update t/basic.t to use Encode and to test the utf8 bit setting.
  - Very slightly reformat the source code of PasswdMD5.pm and basic.t.
  EOT
* Tue Feb  2 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.41
  see /usr/share/doc/packages/perl-Crypt-PasswdMD5/Changelog.ini
* Sun Oct  6 2013 coolo@suse.com
- updated to 1.40
  - No code changes.
  - Maintenance by Ron Savage <rsavage@cpan.org>.
  - Fabricate some version #s for this file.
  - Made Passwd.pm utf-8 so we can use Luis' proper name.
  - Clean up code formatting.
  - Clean up Makefile.PL.
  - Use fake (ASCII) ñ in Makefile.PL to keep Solaris happy. See RT#68478.
  - Clean up README.
  - Add Build.PL.
  - Add Changes and Changelog.ini.
  - Add META.*.
  - Adopt Test::More in t/basic.t.
  - Adopt 'use strict' and 'use warnings' to PasswdMD5.pm and t/basic.t.
  - Accept patch for new function random_md5_salt(), and tests, from kbrint@rufus.net.
    With thanx. See RT#37036.
  - Add xt/author/pod.t.
  1.30  2004-02-17 11:21:38
  - Modified the POD so that ABSTRACT can work.
  - Added usage example for apache_md5_crypt().
  1.20  2004-02-17 11:04:35
  - Added patch for random salts from John Peacock (Thanks John!).
  - De-MS-DOS-ified the file.
  - Replaced some '' with q// to make Emacs color highlighting happy.
  - Added CVS docs.
  - Completed the missing sections of the POD documentation.
  - Changed my email address to the Perl-related one for consistency.
  1.10  2001-07-06
  - Use Digest::MD5 instead of the (obsolete) MD5.
* Sat Jan 22 2011 coolo@novell.com
- initial package 1.3
  * created by cpanspec 1.78.03
